
Foreman - Feature #2049

Allow removal of host when not found in VCenter

12/14/2012 08:38 AM - Drew Blessing

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seems I cannot delete a host from Foreman when it's been provisioned on VMware and no longer exists in the VMware stack.  I get

a message about failing to destroy and "ActiveRecord::RecordNotFound."  I think it would be great if you allowed removal of hosts

when this occurs.  Obviously if the host does not exist in VMware it's no longer needed in Foreman.  This could be a bug, but it's

most likely a feature request.

Related issues:

Related to Foreman - Feature #3909: compute resources prevent or disassciate ... Closed 12/18/2013

History

#1 - 02/27/2014 05:15 PM - Benjamin Papillon

- Related to Feature #3909: compute resources prevent or disassciate host from VM prevent vm deletion added

#2 - 02/27/2014 05:16 PM - Benjamin Papillon

- Status changed from New to Feedback

Hello,

With the yet to be released 1.5 version, you will be able to decorrelate the VM from the Compute Ressource, allowing a normal deletion on Foreman.

Please keep us informed of your tests :)

Regards

#3 - 09/16/2014 10:25 AM - Marek Hulán

- Related to Feature #7469: Provide custom facts to improve network facts parsing experience added

#4 - 09/16/2014 10:31 AM - Marek Hulán

- Related to deleted (Feature #7469: Provide custom facts to improve network facts parsing experience)

#5 - 05/17/2017 06:44 AM - Anonymous

- Status changed from Feedback to Closed

resolved by de-association.
